Bug 217989 - Need a supported PCMCIA wireless card
Need a supported PCMCIA wireless card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-30 22:29 EST by Eli
Modified: 2008-02-07 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2006-11-30 22:29:15 EST
Description of problem:
I need a PCMCIA wireless card that FC6 will support.  I have two wireless 
cards that are not supported, a SMC 2835W and a D-Link WNA-1330.

Ideally, I'm just missing something and one of my cards will work... but I 
suspect they both require Non-Free parts.  I'm not in the market for a whole 
new notebook computer, but I can afford to buy a new wireless b/g or a/b/g 
card.  The question is: which one can I buy that will work with Fedora Core 6 
out-of-the-box?
My Googlefu has not been up to the task. :(

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
Always

Steps to Reproduce:
1.  Insert wireless card
2.
3.
  
Actual results:
Can't use the wireless card

Expected results:
Wireless networking... working

Additional info:
Toshiba Satellite A45-S120 notebook computer 
2.6Ghz Intel Celeron 
160GB hard drive 
CD-RW + DVD combo drive 
768MB RAM 
1024x768 LCD screen 
1 PC card slot 
4 USB ports 
1 built-in 100MB ethernet port 
1 parallel port 
1 VGA out 
PCMCIA wireless card; one of: 
SMC2835W 2.4GHz 54Mbps wireless cardbus adapter (prism54) 
D-Link WNA-1330 Wireless G notebook adapter
Comment 1 Eli 2006-11-30 22:48:57 EST
I'm going back through, double-checking things.  As I do so, I'll add more 
here.

For the SMC 2835W, it looks like it's trying to recognize the card:
Nov 30 21:30:29 pegasus kernel: pccard: CardBus card inserted into slot 0
Nov 30 21:30:29 pegasus kernel: Loaded prism54 driver, version 1.2
Nov 30 21:30:29 pegasus kernel: PCI: Enabling device 0000:02:00.0 (0000 -> 
0002)
Nov 30 21:30:29 pegasus kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 18 
(level, low) -> IRQ 169
Nov 30 21:30:56 pegasus NetworkManager: <information>	starting... 
Nov 30 21:30:56 pegasus kernel: prism54: request_firmware() failed 
for 'isl3890'
Nov 30 21:30:56 pegasus kernel: eth1: could not upload firmware ('isl3890')
Nov 30 21:30:56 pegasus kernel: eth1: islpci_reset: failure
Nov 30 21:30:56 pegasus firmware_helper[8962]: Loading 
of /lib/firmware/isl3890 for prism54 driver failed: No such file or directory
Nov 30 21:30:59 pegasus NetworkManager: <information>	eth1: Device is 
fully-supported using driver 'prism54'. 
Nov 30 21:30:59 pegasus NetworkManager: <information>	nm_device_init(): 
waiting for device's worker thread to start 
Nov 30 21:30:59 pegasus kernel: prism54: request_firmware() failed 
for 'isl3890'
Nov 30 21:30:59 pegasus kernel: eth1: could not upload firmware ('isl3890')
Nov 30 21:30:59 pegasus kernel: eth1: islpci_reset: failure
Nov 30 21:30:59 pegasus firmware_helper[8977]: Loading 
of /lib/firmware/isl3890 for prism54 driver failed: No such file or directory
Nov 30 21:30:59 pegasus NetworkManager: <information>	nm_device_init(): 
device's worker thread started, continuing. 
Nov 30 21:30:59 pegasus NetworkManager: <information>	Now managing wireless 
(802.11) device 'eth1'. 
Nov 30 21:30:59 pegasus NetworkManager: <information>	Deactivating device 
eth1. 

I downloaded the 1.0.4.3.arm from http://prism54.org/firmware/1.0.4.3.arm and 
symlinked it as /lib/firmware/isl3890.  New log:

Nov 30 21:41:52 pegasus kernel: pccard: card ejected from slot 0
Nov 30 21:41:52 pegasus kernel: ACPI: PCI interrupt for device 0000:02:00.0 
disabled
Nov 30 21:41:57 pegasus kernel: pccard: CardBus card inserted into slot 0
Nov 30 21:41:57 pegasus kernel: PCI: Enabling device 0000:02:00.0 (0000 -> 
0002)
Nov 30 21:41:57 pegasus kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 18 
(level, low) -> IRQ 169
Nov 30 21:42:44 pegasus NetworkManager: <information>	starting... 
Nov 30 21:42:45 pegasus kernel: eth1: no 'reset complete' IRQ seen - retrying
Nov 30 21:42:46 pegasus kernel: eth1: no 'reset complete' IRQ seen - retrying
Nov 30 21:42:46 pegasus kernel: eth1: interface reset failure
Nov 30 21:42:46 pegasus kernel: prism54: Your card/socket may be faulty, or 
IRQ line too busy :(
Nov 30 21:42:49 pegasus NetworkManager: <information>	eth1: Device is 
fully-supported using driver 'prism54'. 
Nov 30 21:42:49 pegasus NetworkManager: <information>	nm_device_init(): 
waiting for device's worker thread to start 
Nov 30 21:42:49 pegasus NetworkManager: <information>	nm_device_init(): 
device's worker thread started, continuing. 
Nov 30 21:42:49 pegasus NetworkManager: <information>	Now managing wireless 
(802.11) device 'eth1'. 
Nov 30 21:42:49 pegasus NetworkManager: <information>	Deactivating device 
eth1. 
Nov 30 21:42:50 pegasus kernel: eth1: no 'reset complete' IRQ seen - retrying
Nov 30 21:42:51 pegasus kernel: eth1: no 'reset complete' IRQ seen - retrying
Nov 30 21:42:51 pegasus kernel: eth1: interface reset failure
Nov 30 21:42:51 pegasus kernel: prism54: Your card/socket may be faulty, or 
IRQ line too busy :(

So my SMC2835W may be faulty.  For this bug, let's assume it is.  This still 
requires downloading a firmware file from another source, and I'm wanting 
something that will work out-of-the-box.
Comment 2 Eli 2006-11-30 22:57:32 EST
Double-checking the D-Link:

Nov 30 21:55:23 pegasus kernel: pccard: CardBus card inserted into slot 0

And that's it.  I'm pretty sure this one falls under the MadWifi and therefore 
Non-Free umbrella.

Again, I'm trying to find a wireless card that's supported out of the box, and 
if this one isn't, that's fine.  I just need to know what to go get. :)
Comment 3 Jon Stanley 2008-01-07 20:47:15 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:24:26 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.